Subject: [PATCH v2 1/2] OMAP2+: DMA: Workaround for invalid source position

From: [email-masked] (Tony Lindgren)
Date: Thu, 8 Dec 2011 16:42:01 -0800

* P?ter Ujfalusi <[email-masked]> [111129 04:26]:
> On Thursday 10 November 2011 15:02:04 Jarkko Nikula wrote:
> > On 11/10/2011 02:46 PM, Jarkko Nikula wrote:
> > > On 11/07/2011 11:33 AM, Peter Ujfalusi wrote:
> > > 
> > > I think this is enough:
> > > 
> > > if (unlikely(p->dma_read(CDAC, lch) == 0))
> > > offset = p->dma_read(CSSA, lch);
> > > 
> > > I suppose offset is ok for normal case as it is already read (twise)
> > > above.
> > Or actually my proposal could have a race if CDAC changes between CSAC
> > read and CDAC read. In that case it's better to re-read CSAC as your
> > patch does after CDAC test and give to both:
> > 
> > Reviewed-by: Jarkko Nikula <[email-masked]>
> 
> Tony, have you taken this patch? I failed to find it in the l-o tree...

Sorry for the delay, applying both into fixes-non-critical.

Tony